%global cache /var/cache/man

Summary: Database cached manual pager suite
Name: man-db
Version: 2.5.7
Release: 9%{?dist}
# project man-db  GPLv2+
# Gnulib part     GPLv3+
License: GPLv2+ and GPLv3+
Group: System Environment/Base
URL: http://www.nongnu.org/man-db/
Source0: http://mirrors.igsobe.com/nongnu/man-db/%{name}-%{version}.tar.gz
Source1: man-db.crondaily
Source2: man-db.sysconfig
# Resolves: #655385 - use old format of nroff output
Patch0: man-db-2.5.9-sgr.patch
# Resolves: #654394 - assertion failure on 'man -l' with an uncompressed page
# upstream patch
Patch1: man-db-2.5.9-654394.patch
# Resolves: #658368 - "man full comman path" problem
# upstream patch
Patch2: man-db-2.5.9-658368.patch
# Resolves: #693458 - .so bar.1 no longer works
Patch3: man-db-2.5.9-693458.patch
Patch4: man-db-2.5.9-cleanup.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: man < 2.0
Provides: man-pages-reader
Provides: man
Requires: less, coreutils, grep, groff, gzip, crontabs
BuildRequires: gdbm-devel, groff, gettext

%description
The man-db package includes five tools for browsing man-pages:
man, whatis, apropos, manpath and lexgrog. man preformats and displays
manual pages. whatis searches the manual page names. apropos searches the
manual page names and descriptions. manpath determines search path
for manual pages. lexgrog directly reads header information in
manual pages.

%prep
%setup -q
%patch0 -p1 -b .sgr
%patch1 -p1 -b .af
%patch2 -p1 -b .abrt
%patch3 -p1 -b .so
%patch4 -p1 -b .cp

%build
%configure\
    --with-sections="1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x"  \
    --disable-setuid

make CC="%{__cc} %{optflags}" %{?_smp_mflags} V=1
chmod 0755 ./src/man

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} \
             INSTALL='install -p'

# move the documentation to relevant place
mv $RPM_BUILD_ROOT%{_datadir}/doc/man-db/* ./

# remove zsoelim - part of groff package
rm $RPM_BUILD_ROOT%{_bindir}/zsoelim
rm $RPM_BUILD_ROOT%{_datadir}/man/man1/zsoelim.1

# remove pages which are also in  man-pages-de
rm $RPM_BUILD_ROOT%{_mandir}/de/man1/zsoelim.1
rm $RPM_BUILD_ROOT%{_mandir}/de/man1/manpath.1
rm $RPM_BUILD_ROOT%{_mandir}/de/man5/manpath.5
rm $RPM_BUILD_ROOT%{_mandir}/de/man8/catman.8
rm $RPM_BUILD_ROOT%{_mandir}/de/man8/mandb.8

# install cache directory
install -d -m 0755  $RPM_BUILD_ROOT%{cache}

# install cron script for man-db creation/update
install -D -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/man-db.cron

# config for cron script
install -D -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/man-db

%find_lang %{name}
%find_lang %{name}-gnulib

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang -f %{name}-gnulib.lang
%defattr(-,root,root,-)
%doc README man-db-manual.txt man-db-manual.ps docs/COPYING ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/man_db.conf
%config(noreplace) %{_sysconfdir}/sysconfig/man-db
%{_sysconfdir}/cron.daily/man-db.cron
%{_sbindir}/accessdb
%{_bindir}/man
%{_bindir}/whatis
%{_bindir}/apropos
%{_bindir}/manpath
%{_bindir}/lexgrog
%{_bindir}/catman
%{_bindir}/mandb
%dir %{_libexecdir}/man-db
%{_libexecdir}/man-db/globbing
%{_libexecdir}/man-db/manconv
# documentation and translation
%{_mandir}/man1/apropos.1*
%{_mandir}/man1/lexgrog.1*
%{_mandir}/man1/man.1*
%{_mandir}/man1/manconv.1*
%{_mandir}/man1/manpath.1*
%{_mandir}/man1/whatis.1*
%{_mandir}/man5/manpath.5*
%{_mandir}/man8/accessdb.8*
%{_mandir}/man8/catman.8*
%{_mandir}/man8/mandb.8*

%attr(0755,root,root)   %dir %{cache}

%lang(de)   %{_datadir}/man/de/man*/*
%lang(es)   %{_datadir}/man/es/man*/*
%lang(fr)   %{_datadir}/man/fr/man*/*
%lang(it)   %{_datadir}/man/it/man*/*
%lang(ja)   %{_datadir}/man/ja/man*/*

%changelog
* Mon Jul  4 2011 Ivana Hutarova Varekova <varekova@redhat.com> - 2.5.7-9
- Resolves: #716312
  cleanup problem

* Fri Jun 17 2011 Ivana Hutarova Varekova <varekova@redhat.com> - 2.5.7-8
- Resolves: #693458
  .so bar.1 no longer works

* Tue Jan  4 2011 Ivana Hutarova Varekova <varekova@redhat.com> - 2.5.7-7
- Resolves: #658368 fix "man full comman path" problem
  upstream patch (revision/1276)
- Resolves: #654394 - assertion failure on 'man -l' with an uncompressed page
  upstream patch (revision/1199)

* Wed Nov 24 2010 Ivana Hutarova Varekova <varekova@redhat.com> - 2.5.7-6
- Resolves: #655385 - use old format of nroff output

* Wed Sep 29 2010 jkeating - 2.5.7-5.1
- Rebuilt for gcc bug 634757

* Fri Sep  3 2010 Ivana Hutarova Varekova <varekova@redhat.com> - 2.5.7-5
- fix the dependencies

* Mon Aug 16 2010 Ivana Hutarova Varekova <varekova@redhat.com> - 2.5.7-4
- provides man tag

* Mon Aug  9 2010 Ivana Hutarova Varekova <varekova@redhat.com> - 2.5.7-3
- resolves: #621688
  remove problematic man-pages (now in man-pages-de package)

* Fri Apr 16 2010 Ivana Hutarova Varekova <varekova@redhat.com> - 2.5.7-2
- add conflicts tag

* Wed Feb 17 2010 Ivana Hutarova Varekova <varekova@redhat.com> - 2.5.7-1
- initial build
